====================== 'USB Safely Remove' Version History =====================

Legend:
  [+] - Added, [-] - Fixed, [*] - Improved/Changed, [i] - Information
  
Version 5.3.5 (Released on Jan 6, 2014)
  [-] Some devices were not longer displayed since new version
  [-] Incorrect license key end date could be displayed for some licenses
  [-] For some valid license keys the "upgrade period has expired" message
      was displayed.
  [-] In some scenarios it was not possible to display the device properties
      from the main Window (USBSR only)
  [-] In some cases the license key could not be entered
  [-] A technical error was displayed when a malformed license key is enterd
  [-] When the program options window was displayed an attempt to choose "Program 
  options" from the menu led to a technical error message. 

Version 5.3.3 (Released on Dec 25, 2014)
  [-] Thirdparty device icons in some formats couldn't be loaded
  
Version 5.3.2 (Released on Dec 23, 2014)
  [+] Forgotten devices reminder feature is added
  [+] Windows 10 compatibility
  [+] Option to stop Windows services on forced stop
  [*] License key format change
  [*] Windows 8 and up: Global hotkey to call device menu is automatically 
      assigned to Ctrl+Win+S
  [+] An option to never show again some message dialogs (e.g. forced stop 
      warning) is added
  [-] The program increased system timer frequency
  [-] The program could crash after loading a malformed .ICO file
  [-] Windows 8 and up: On some systems physically removed devices could be 
      displayed on the list
  [-] On some configurations the program could crash on startup (then it was 
      possible to run it manually)

Version 5.2.2 (Released on Mar 23th, 2013)
  [-] Some license keys aren't accepted by the program

Version 5.2 (Released on Mar 12th, 2013)
  [+] Option to fix several drives to the same drive letter added
  [+] Windows 8 support & Metro UI skin
  [*] A special sign is displayed for fixed drive letter in the menu
  [*] Folder mount points are now displayed in full size (not truncated as earlier)
  [*] Verbose logging was enabled by default
  [*] Card reader drives are displayed even when the option "Display storage device 
      volumes" is disabled
  [*] Skin scheme file now has usual web format of the colors
  [-] "Extend license" menu item could display "Order" page rather than "Extend"
  [-] Autorun programs called before changing drive letters (e.g. for fixed 
      drive letters). This caused double calling of the autorun programs.
  
  [-] The device menu might be displayed when user launched TaskManager (Win 8) 
      or Customize tray icons dialog (Win 7, 8)
  [*] The SATA system drive was displayed in the list by default. Now it's 
      displayed only when you enable the option "Display all storage devices"
  [*] Now the program doesn't add itself to the Windows startup on each launch, 
      it does this when it's needed.	  

Version 5.1 hotfix 2 (Released on May 29th, 2012)
  [-] The program displayed technical error on slow hardware configurations or
  on the connection of a faulty device  

Version 5.1 hotfix 1 (Released on April 28th, 2012)
  [-] The program prevented Win XP based machines from shutdown
  [*] Serbian-Cyrillic and German language files are updated 

Version 5.1 final (Released on April 25th, 2012)
  [+] License keys expired between Dec 26th, 2011 - Apr 24th, 2012
      are eligible for this update too
  [+] Scan for device changes mechanism optimized for speed
  [+] Correct version info added to all program modules
  [+] The "Apply" button is enabled only if you change some settings
  [+] Stall detection added
  [-] Command line "forcedstop" command didn't work
  [-] Some small memory leaks
  [-] The program could hang on device insertion in some cases
  [-] The "Apply" button may not apply changes in some cases
  [-] Autorun doesn't run some DOS commands (e.g. pause, net)
  [-] An error might happen after device settings export  
  
Version 5.0 final (Released on January 30th, 2012)
  [+] Cardinally reworked stopping menu
  [+] Unicode (UTF-8) support
  [+] Option to change sorting of the devices in the menu added
  [+] Additional device image size is added
  [+] Option to display\hide device volumes is added
  [+] Option to display\hide device name is added
  [+] Simple menu option is added
  [+] Program settings & device properties look and feel is improved
  [+] Apply button is added to device properties and the settings 
  [+] .ico files support as a custom device image
  [+] Improved "Forced stop" feature. It unload dlls loaded from external drives 
      without killing their processes
  [+] Option to unfix drive letters even if their drives are not connected now
  [*] All skins look and feel was improved 
  [*] Device icon storing format changed from .png to .ico  
  [-] The program didn't see devices connected to some kinds of external USB hubs
  [-] Other minor bug fix  

Version 4.7 final (Released on August 2nd, 2011)
  [-] Stopping Menu sometimes shows the same device twice.
  [-] There was a problem with starting the USB Safely Remove Assistant 
      service after the program reinstalling. 
  [-] There was a problem with starting the USB Safely Remove Assistant 
      service at the system startup.
  [-] The program was raising an exception trying to load a device image 
      which was damaged or had an unsupported format.
  [-] The tray icon was hidden when there are no devices to be stopped 
      even though the option "Hide icon when there are no devices to be 
      stopped" was checked.
  [-] The Autorun feature. The %PhysicalDeviceName% command line 
      parameter has got a wrong value.
  [-] From the previous version of the program we unexpectedly lost icons 
      in the menu of the main program window.
  [-] The program didn't show any info at the time connecting/ejecting 
      card reader memory cards.
  [+] We added a button for closing the tray information balloon.
  [*] The window which provides device icons choosing was significantly 
      improved.

Version 4.6 hotfix 1 (Released on June 28th, 2011)
  [-] Some options weren't restored on their import
  [-] The program systray icon might display when there are no connected devices
      and the option to hide the icon is enabled
  [-] The command line tool didn't work
  [-] The program might display "cannot connect to service" error after its 
      installation on Win 7 64 bit    

Version 4.6 final (Released on June 25th, 2011)
  [-] Changing the installation language didn't change the program language
  [-] Sometimes trying to stop or return device back the program couldn't 
      find it as it just was removed and that was a cause of exception error. 
  [-] Global Autorun. There was a bug when user tried to launch a process 
      from testing launch menu if a device had more than one volume.
  [-] Drive letter fixing leaded to the error if a drive letter was chosen 
      as "No".
  [-] The error occurred when user tried to open option file which is not 
      exists.
  [-] Some errors could occur if user is working with the program before 
      it's fully initialized.
  [-] The program didn't see drives of some modern devices. Now it can 
      recognize more drives.
  [-] Stopping Menu was shown so much quickly even if user just hovered 
      over the tray icon and took his mouse away from it.
  [-] When the program installs first time it assigns a storage device 
      icon to a device which is not a storage one.
  [-] User gets an error trying to choose Dutch.
  [+] In this version we've added an ability to choose the predefined skins
      of Stopping Menu, such as "Classic", "Black Contrast" and 
      "Black Velvet" color schemes.
  [+] Now the program shows that a device can be safely removed from 
      a computer after stopping.
  [+] Information balloons was replaced to a special window, which is 
      more informative and less annoying as balloons' behavior was.
  [+] Installer option to remove settings on uninstallation
  [+] Installer option to share settings for all computer accounts
   
  
Version 4.5 final (Released on January 27th, 2011)
  [+] Feature to save settings to file \ load settings from file added
  [+] New option: Hotkey to stop all devices at once
  [+] Option to close autorun process before device stopping added
  [*] Device icon library was renewed and extended
  [*] Language packs updated
  [*] Manual reference updated


Version 4.4 final (Released on December 24th, 2010)
  Changes from v. 4.3 final
    [+] The "Device power off after its stopping" feature was added.
    [-] Sometimes Windows restarts its native safely remove service and the 
        "Safely Remove Hardware" icon appears in the system tray even if an 
        option "Replace native Safely Remove Hardware Icon" is checked.
    [+] ClearType font support was added.
    [+] The old USB Safely Remove Icon has been improved.
    [+] The option "Don't show this message again" was added to the 
        "Stop all visible devices" dialog box.
    [-] If the taskbar was placed on the left-hand side of display, the card-reader
        menu appeared outside of display. Fixed.
    [-] The program didn't work on Windows 2000. Fixed.
    [+] Bosnian translation was added.
    [*] Some user interface improvements were done.

  Changes from v. 4.4 beta 1
    [-] Sometimes before the USB device stopping didn't show the message, 
    which has to report about devices connected to the same USB-hub 
    as the stopped device.
    [-] "Stop Immediately" feature might not work sometime
    [+] ClearType font support was added.
    [+] The old USB Safely Remove Icon has been improved.
    [+] The option "Don't show this message again" was added to the 
        "Stop all visible devices" dialog box.
    [-] If the taskbar was placed on the left-hand side of display, the card-reader
        menu appeared outside of display. Fixed.
    [-] The program didn't work on Windows 2000. Fixed.
    [*] Some user interface improvements were done.

Version 4.4 beta 1 (Released on November 29th, 2010)
    [+] The "Device power off after its stopping" feature was added.
    [+] Bosnian translation was added.
    [-] Sometimes Windows restarts its native safely remove service and the 
        "Safely Remove Hardware" icon appears in the system tray even if an 
        option "Replace native Safely Remove Hardware Icon" is checked.

Version 4.3 final (Released on May 7th, 2010)
  [-] Sometimes the program may not restore drive letters (if "Hide empty card 
  reader drives" option was disabled)
  [-] "USB Safely Remove assistant service" crashes if there are too many files 
  were opened from the drive that was being stopped
  [+] Improvements on "unable to stop\return" window:
    * "Forced Stop\Return" button now tries to close applications launched from 
      the drive.
    * "Close Programs" button was removed
  [+] Better compatibility with Win Vista & 7 (sometimes program may not launch 
  on these OSes)

Version 4.2.5 (Released on November 26th, 2009)
  This version contains only critical bug-fixes and improved language packs. 
  It's recommened to upgrade to this version.
    [*] Next language packs were updated: Belarusian, Chinese-Simplified, 
        Dutch-Netherlands, French, Galician, Indonesian, Macedonian, 
        Serbian-Latin and Slovak
    [-] !!! Sometimes the program could prevent by itself the device from being 
        stopped
    [-] !!! Sometimes the program could display "Cannot connect to service" message on 
        Windows startup
    [*] After closing of "Options" dialog the stopping menu hid immediately 
    [-] Sometimes "Unable to stop dialog" became unresponsible
    [-] Bugs in autorun feature:
      * The program displayed technical error if there was leading spaces in 
        the command line
      * The icon of the process in global autorun settings could not be displayed
      * !!! Autorun didn't work for non-storage devices
    [-] Technical error were displayed on saving program options when 
        there are no additional languages installed
    [-] Sometimes a technical error could happen on device connection\disconnection
    [-] Sometimes a technical error could happen on attempt to stop a device
    [-] It was impossible to add some programs to auto run list (e.g. PStart)
    [-] A technical error could happen while external drive was being formatted
    [-] A custom device image became duplicated in the image list
    [-] There were superfluous device image in the package: "USB Device"

Version 4.2.4 (Released on October 26th, 2009)
  This build contains some major fixes found by users in version 4.2 final
    [-] "Scan For Hardware Changes" and "Stop All" button could change their 
        horizontal\vertical relative positions
    [-] The program could display "Cannot connect to service" message on startup
    [-] The program could stop additional devices when stopping a certain one
    
Version 4.2 final (Released on October 25th, 2009)
  This is a stable version of the program. It contains the next changes 
  against the version 4.1:
    [*] Better stopping menu user interface
    [+] Feature to fix a drive letter to the device
    [*] Displaying taskbar button for the most windows
    [+] Feature to run "Scan for hardware changes" from the menu
    [+] Feature to stop all visible on the menu devices at once
    [*] Full support of Windows 7 (32 & 64 bit)
    [*] Hotkey to stop a device can return it back
    [-] Fixed: The program seriously slowed down Windows XP 64 bit system startup
    [-] Fixed: Some bugs of autorun feature
    [-] Fixed: PNG images were loosing alpha-channel when were loaded as device images
    [-] Fixed: some other minor bugs  

Version 4.1 final (Released on June 15th, 2009)
  This is a stable version of the program. It contains the next improvements 
  against version 4.0:
    [+] "Launch Programs" (Autorun) feature was significantly improved:
      * More than one process to launch can be assigned
      * Processes can be launched after device stopping and after device removal
      * Parameters can be passed to the command line optionally
      * Processes can be launched gloablly for all devices      
    [+] Many predefined program autorun templates added:
      * Running Explorer or TotalCommander
      * Scannig conected device with an antivirus
      * Mounting\Dismounting TrueCrypt volumes
      * and etc
    [+] New languages added: Hebrew, Catalan, Dutch (Netherlands), 
        Serbian (Cyrillic), Belarus, Macedonian and Indonesian.
        Now the program speaks more than 40 languages!
    [*] System drive letter now cannot be changed from the program
    [+] TaskBar button is displayed for some windows of the program (main window,
          entering registration data window)
    [+] The system tray icon now displays device states. The program displays 
        different icons when:
          * There are stopped but still plugged devices
          * There are no connected devices
          * Program is scanning for devices
    [+] Added ability to request your lost license key                                          
    [-] Fixed: Hidden system drives were displayed after uninstall the program
    [-] Fixed: Incorrect drive letters were displayed on computers with USB 
        floppy drives        
    [*] And other small user interface improvements
  
  Against the previous version (4.1 beta 4) this version contains only bug-fix 
  and minor improvements: 
    [+] Added new "scan with antivirus" autorun templates: NOD32, DrWeb, Avast!, 
        Avira Antivir, Norton Antivirus
    [+] Help file was updated
    [+] Hebrew language added
    [*] Predefined autorun templates are available only for storage devices    
    [-] Fixed: TrueCrypt couldn't be run for partition based volumes
    [-] Fixed: In some cases additional drive letters were seen on Autorun tab for 
        card readers
    [-] Fixed: Antivirus runs for all devices not only for storages

Version 4.1 beta 4 (Released on May 21st, 2009)
  [+] "Autorun Programs" UI was improved:
    * Hint with process details is displayed on mouse hover
    * Fixed: Sometimes an error occured on process dragging-and-dropping
    * Command line is displayed in autorun template wizard 
    * Process icons are displayed now (in the launch list)!       
  [+] "Scanning drives with Kaspersky" template in "Global Autorun" added
  [+] Optional launching programs only for disk devices added 
  [+] The system tray icon now displays device states. The program displays 
      different icons when:
        * There are stopped but still plugged devices
        * There are no connected devices
        * Program is scanning for devices                                
  [+] New languages added:
    * Catalan, Dutch (Netherlands), Serbian (Cyrillic), Belarus
  [+] Icons in the language switch added
  [+] Bug-report window was improved
  [-] Fixed several bugs in "Autorun" feature:
    * %DriveLetter% parameter wasn't passed for drives mounted as a folder
    * Sometimes %DriveLetter% parameter was empty for drive devices
    * %DeviceName% parameter was passed with drive letter
    * Autorun on after device stopping sometimes didn't work
  [-] Fixed: Sometimes the program cannot be closed
  [-] Fixed: Main window doesn't restore its size after program restart

Version 4.1 beta 3 (Released on April 8th, 2009)
  [+] Autorun feature was extremelly improved
      * More than one process to launch can be assigned
      * Processes can be launched after device stopping and after device removal
      * Parameters can be passed to command line optionally
      * Processes can be launched gloablly for all devices      
      * Explorer, TotalCommander, Antivirus and TrueCrypt integration
  [*] Drive letter of system drive now cannot be changed from the program
  [-] Fixed: Hidden system drives were displayed after uninstall the program
  [-] Fixed: Incorrect drive letters were displayed on computers with USB floppy drives
  [+] TaskBar button is displayed for some windows of the program (main window,
        entering registration data window)
  [+] Macedonian and Indonesian languages were added                         

Version 4.0 hotfix 1 (Released on December 15th, 2008)
  [+] Minor improvements in language packages:
       Arabic, Chinese Traditional, Danish, French, Hungarian, Italian,
       Netherlands, Polish, Portugues Brazilian, Romanian, Russian-Preved,
       Serbian, Spanish-Galician, Spanish, Turkish
  [-] Sometimes an error happened on displaying "Cannot stop device" window
  [-] Sometimes an error occured on entering the license key
       
Version 4.0 final (Released on December 5th, 2008)
  All changes against ver. 3.3
  ===== Key features =====
   [+] Ability to hide drives of empty card reader slots
   [+] Card reader support - feature to eject memory cards
   [+] Feature to easily change letters of hot-plug drives
   [+] Option to mount hot-plug drive as a folder
   [+] PCMCIA and many other hot-plug devices support
   [+] Can stop SATA drives that isn't seen in native "Safely Remove Hardware"
   [+] Searching locking process spead is now many times faster!
   [+] Multi monitor support
   [+] Ability to close files opened by locking processes rather than killing 
   processes
   [+] 13 new languages were added: 
       Albanian, Chinese Simplified, Chinese Traditional, Croatian, Danish,
       Estonian, Finnish, Korean, Norwegian, Serbian, Slovak, Vietnamese, 
       Persian
   [+] UAC compatibility! The program works properly under UAC-controlled accounts
   [+] 64 bit compatibility! The program works in Vista and XP 64 bit
   [+] Ability to prohibit assigning specified letters to hot-plug drives
   [+] Feature to return stopped device back!
  
  ===== UI improvements and bug-fixes =====
   [+] New option: Ability to browse devices in alternative file manager
   [+] New option: Disable poping up the menu on mouse hover over systray icon 
   [+] Device stop menu varies its width depending on device names
   [+] More device icons were added
   [*] Documentation was significantly improved
   [*] The menu hides itself by repeating the hotkey
   [-] BSoD occured on some systems while program is searching for locking 
       processes
   [-] The program icon could disappear or be displayed when it wasn't required
       (When "Hide icon when there are no devices ..." option is checked)    
   [-] Command "usr errs" didn't work
   [+] The installer and all program components is now signed by a Verisign code
       certificate
   [+] Automated bug-report and system info collection mechanism
   [i] Command line tool became free for personal use!
  
  Changes against 4.0 beta 8 hotfix 1
    [-] Persian (Farsi) language was added
    [-] An error occured if 2 copies of the program were simultaneously run
    [-] Sometimes an error occured on returning device back via device context menu
    [*] Inactive edits at Device Properties - Drive Letter tab are grayed out
    [*] Another minor bug-fix
    
Version 4.0 beta 8 hotfix 1 (Released on November 28, 2008)
  [-] Sometimes the program displayed "Unable to connect to the service" 
  message on startup.
  [*] Korean, Hungarian, Chinese Traditional languages were updated
  
Version 4.0 beta 8 (Released on November 25, 2008)
  [+] UAC compatibility! The program now works properly under UAC-controlled accounts
  [+] Windows 64 bit compatibility! The program now works under Vista and XP 64 bit
  [+] The installer and all program components is now signed by a Verisign code certificate
  [+] Some new device icons were added
  [+] The program automatically truncates its log-file
  [+] Norwegian language was added
  [*] The menu can be hidden by repeating the hotkey
  [*] The main window is displayed by double-click to systray icon
  [-] Sometimes the program reported it stopped a SATA drive however it stayed working
  [-] Stopping SATA drives didn't work from command line
  [-] Device property window was displayed incorrectly for German language
  [-] An error occured on pressing Enter to the empty menu
  [-] "The device cannot be stopped" window wasn't displayed in Chinese locale
  [-] "Browse USB device" menu item was available for non-storage devices
  [-] The program couldn't unmount mount points containing spaces
  [-] Command "usr errs" didn't work
  [-] An error occured while switching beetwen user acounts
  [-] Some program windows might be displayed incorrectly with large fonts
  [-] Some other minor improvements

Version 4.0 beta 7 (Released on October 10, 2008)
  [*] Documentation was significantly improved
  [+] Drive letters displayed for disconnected devices   
  [-] USB or SATA devices are connected to a composite device (e.g. PCMCIA 
      USB or SATA controller) weren't displayed
  [-] Program autorun didn't function
  [-] Command line command 'wholocks' couldn't be used simultaneously with 
      the GUI version
  [i] Command line tool became free for personal use!

Version 4.0 beta 6 (Released on July 28, 2008)
  This version aims to increase stability and performance of the program, so it 
  mainly contains bug-fixes.
    + An ability to operate surprise removal USB devices has been added
    + Command line tool is now able to "Return device back"
    + "Enhanced logging" option has been added (required only on interact with 
      our support team)
    - The program updated its internal device list too frequent (it 
      increased CPU load)
    - Sometimes the program overloaded the system on start or on connection 
      of a new device
    - Locking processes was not displayed on Windows 2000
    - Sometimes the program suggested to disable USB device (not to safely remove it)
    - Sometimes an error occurred on attempt to return device back
    - GUI improvements: unattractive margins in some windows has been fixed
    - It was impossible to browse device from the program which is mounted as 
      a folder and a drive letter at the same time
    - The program icon did not displayed in the windows uninstall applet
    - Korean language was not selected automatically on Korean locales
    - The program crashed on attempt to change image name in the file choosing dialog
    * Improved hot-key support      

Version 4.0 beta 5 hot-fix 1 (Released on July 12, 2008)
  This version contains only critical fixes of beta 5 bugs and updated language 
  packs.
    - On some configurations the program often displayed an error and hung on restart
    - Unneccessary devices were displayed
    - The program didn't allow to deactivate a device in Windows Device Manager
    + Korean language has been added
    * Updated languages:
      Albanian, Chinese-Simplified, Estonian, German, Italian, Lithuanian,
      Polish, Slovak, Ukrainian, Russian, Hungarian, Slovenian.     

Version 4.0 beta 5 (Released on July 5, 2008)
  This version includes many major updates and critical bug fixes
    New features (!)
     + Ability to return just stopped devices back!
     + Can stop SATA or Firewire drives which doesn't support authentic "safe 
       removal" feature
     + Processes searching speed is now many times faster!
     + Ability to specify manually if a device is card reader
     + Multi monitor support
     + Ability to close files opened by locking processes rather than killing 
       processes
     + Some interface improvements
     + Vietnamese language has been added
    
    Bug-fixes
     - Some types of devices like PCMCIA couldn't be stopped!
     - BSoD occured on some systems while program is searching for locking 
       processes
     - Windows 2000 support restored (however some functions are disabled)
     - Couldn't mount a device to a folder that contains spaces in the name
     - Minor bug-fix

Version 4.0 beta 4 - Translation update (Released on June 7, 2008)
  This version includes only updated translations and one minor bug-fix
    * Updated languages:
       Bulgarian, Danish, German, Hungarian, Slovak, Spanish, Spanish-Galician,
       Ukrainian.
    - "Prohibited drive letters" field in the Options had incorrect (gray) color 
      when it was enabled
    * Price for European countries has been specified in EURO

Version 4.0 beta 4 (Released on May 29, 2008)
  This release has fixed many "strange behaviour" bugs in the program that 
  presented in a current and stable versions. Many thanks to our new 
  automated bug-reporting system and all the users who send us bug-reports!
    
  Latest stable version bugs:
    - An error-report displayed after the computer is unlocked
    - Sometimes the program couldn't save data to the registry
    - Pressing "Stop again" in "Unable to stop" window sometimes leaded to an error
    * Simultaneous stopping of the same device at the same time is prohibited
    * An error-report generated after the computer start
  
  Beta-version bugs and improves:
    - The program might not return removed drive letters after disabling 
    "Hide drives without media" option
    - A memleak and some minor fixes 
    * Updated languges:
      French, Croatian, Chinese-Traditional, Spanish-Galician, Bulgarian, 
      Greek, Hungarian, Romanian, Slovak, Ukrainian, Albanian (new!)                                                                 
    
  New features (!):
    + Ability to prohibit Windows to assign specified drive letters for 
    hot-plug devices     


Version 4.0 beta 3 (Released on April 23, 2008)
  Beta-version bugs:
    - Sometimes an error occured on displaying "Hide empty drives?" window
    - It's possible to disconnect card reader from the main window even if 
    option "Never disconnect" is checked.
    - "Hide empty drives?" window could suggest to hide drives of usual HDD if they
    weren't formatted
    - "Hide empty drives?" window can be displayed at inappropriate moment (when you 
    are in Device Properties or Options window)
    - Netherlands language didn't autodetect
    * Our translators updated next languages
      * Bulgarian
      * Czech
      * French
      * Netherlands                    
      * Chinese-Simplified
  
  Bugs that were in the latest stable version:
    - The program icon could disappear or be displayed when it wasn't required
    (When "Hide icon when there are no devices to be stopped" option is checked)    

Version 4.0 beta 2 (Released on April 15, 2008)
  All changes are related only to beta-version.
    - The program doesn't allow to restart a computer  
    * Our translators updated next languages
      * Danish
      * Polish
      * Estonian
      * Romanian
      * Slovak                  
    
Version 4.0 beta 1 (Released on April 12, 2008)
  + Ability to hide "empty drives"
  + Card reader support - ability to eject only memory cards
  + Ability to change drive letter
  + Mount point support and ability to mount drive as folder instead of letter
  + New option: Ability to browse devices in alternative file manager
  + New option: Display\not display popup menu on mouse hover over systray icon 
  + Device stop menu can vary its width depends on max devices width
  + New languages:
    * Chinese Simplified
    * Chinese Traditional
    * Slovak
    * Lithuanian

Version 3.3 (Released on February 5, 2008)
  + Device icons autodetection (for a part of device types)
  + 6 new languages added:
    * Czech 
    * Hungarian
    * Greek
    * Bulgarian, 
    * Brasilian Portuguese
    * Slovenian    
  * Required memory size reduced
  * Stopping mechanism improved
  x FIXED: In some cases taskbar button didn't disappear after device stopping
  * Proxy support for "auto check for updates" added
  
Version 3.2 (Released on November 12, 2007)
---------------------------------------
  + Internationalization support added. 14 languages are supported now:
    * English
    * German                        
    * French                        
    * Spanish                       
    * Galician              
    * Swedish                       
    * Arabic                         
    * Italian                       
    * Nederlands                    
    * Polish                        
    * Romanian                      
    * Russian                       
    * Turkish                       
    * Ukrainian                     
  + Auto check for updates added
  + Plenty device icons added

Version 3.1 (Released on October 18, 2007)
---------------------------------------

  + Ability to run file BEFORE device ejecting
  + Files Auto Run option moved from global settings to device properties
  + Close button added to quick stop menu
  + Windows Vista Aero interface compatibility added


Version 3.0 (Released on September 04, 2007)
---------------------------------------

  + Displaying the processes that prevent the removal
  + Forced device stop
  + Possibility to remove SATA, FireWire and Intgrated devices
  + Feature to assign your own picture as an icon to any device
  + Real device names
  + Powerful command line support
  + Guaranteed safe device removal
  + Handy and beatiful device stop menu added
  + Even easier hotkeys support - operate your devices only with one hotkey   
   

Version 2.2 (Released on June 25, 2007)
---------------------------------------
  + Allows to stop all the USB devices (Cameras, scanners, UPS, Mouse & etc)!
  + Quick Introduction has been added - guide to main program features
  * When USB device is plugged in for the first time program automatically 
    detects whether it can be displayed in menu or not
  * User Interface improvements - new main window icons
  * "Request new feature", "Report a bug" menu items have been added to Help menu
  * Old program version closes automatically when new version is installing
  * Uninstall feedback form has been added
  - Automatical hotkeys incorrect assignment
  - In rare cases, program shows icon in the system tray even there are no any 
    displayable devices
  - "Browse" button was activated for devices without drives
  - Default icon was always shown in the "Cannot stop device..." window

Version 2.1 (Released on March 18, 2007)
---------------------------------------
  
  + Show native Safely Remove Hardware window feature
  - Fixed: It was possible to show more than one "Cannot stop USB device" window
  - Fixed: Help button in "Cannot stop USB device" window didn't do nothing
  * Documentation improvement  

Version 2.0 (Released on March 12, 2007)
---------------------------------------

  * Fully reworked user interface, to be simplier and more intuitive 
  + Highly customizable Quick-stop-menu added 
  + Displayable\Not Displayable devices options
  + Ability to hide icon when there are no devices available to stop
  - Several small bugs 


Version 1.8 (Released on December 20, 2006)
---------------------------------------

  - Fixed: sometimes program hang on "Browse" feature
  - Fixed: some small bugs


Version 1.7 (Released on October 7, 2006)
---------------------------------------

  * Main icon changed
  - Fixed: some small bugs


Version 1.6 (Released on July 2, 2006)
---------------------------------------

  * Improved system tray icon control mechanism (Double Click support).
  * Improved device focus control.
  - Fixed: Multiple query password window
  - Fixed: "Rum minimized" option error.
  - Fixed: "Stop All" command error.
  - Fixed: balloon ASCII #07 error (small square before device names)
  - Fixed: some small bugs


Version 1.5 (Released on April 1, 2006)
---------------------------------------

  * Drive letter detection improved for complicated USB devices (CardReaders, etc.)
  - Fixed some small text errors
  - Fixed - sometimes program shows balloon tooltip without drive letter


Version 1.3 (Released on March 12, 2006)
---------------------------------------

  + Drive letter support
  + Browse USB device
  + Balloon tooltip (show Loaded\Stopped device with drive letter and hotkey)
  + User defined device information
  + USB devices list in the system tray hint
  + USB stopping menu in the system tray popup menu
  + AutoHotkey mechanism (Auto assign free hotkey)
  + Customizable images for USB devices
  + Customizable double click and <Enter> button press
  + Administrator password (on all main functions and events)
  + "Open the Log file directory" link added to the
    "About" page.
  * AutoHide Safely Remove Hardware icon
  * Notification - run applications\scripts on Load\Stop
  * Improved gui
  - Fixed - Program sometimes halts on the accounts with 
    the "user" access privileges.
  - Fixed some small bugs    

  
Version 1.03 (Released on May 7, 2005)
---------------------------------------

	- Fixed some small bugs
	- Fixed "Startup bug" - now program always check and update startup registry key
	* Improved stopping speed
	* Improved saving mechanism


Version 1.02 (Released on April 17, 2005)
---------------------------------------

	- Fixed some small bugs
	- Fixed "Windows XP safely remove bug" - error in device stopping detector - incorrect Windows API realization
	- Fixed "Windows XP TrayIcon bug" - Main window only restores but did not hide
	+ Added SaveSettings.bat and RestoreSettings.bat
  * Properties window (Device properties now shown in EditBox)
	* Modal Forms now always shown above the Main window
	* Stopping Centre now has his own Task Panel button 


Version 1.01 (Released on March 20, 2005)
---------------------------------------

  - Fixed TabOrder
  + USB events mechanism (allow to set sounds on USB Flash drive loading\stoping and restoring Main window)
	+ Added Logs (with Exception control)
	* "Click to visit site" button opens new Explorer window
	* All program windows closed(or hide) by "Esc" button


Version 1.00 (Released on March 5, 2005)
---------------------------------------

	- Fixed some bugs
  + Stopping Centre Window (with small animated clock)
	* Full HotKey mechanism (with collision detector)


Version 0.99 (Released on February 13, 2005)
---------------------------------------

	+ "Disable Windows USB Hotplug Manager" option (hides small green arrow in the tray until system restart)
	+ "Always On Top" flag
	+ Allow only one program instance
	+ Properties Window (allow to view specific device properties, and setup HotKeys)
	+ Registration mechanism (with features blocking)
	+ HotKey mechanism
	+ Full TrayIcon mechanism (with baloon tooltip)
	+ Saving options mechanism
	* InnoSetup Installer added
	* New USB Kernel
	* WordWrap for "There is no USB Flash Drive connected"


Version 0.20 (Released on January 5, 2005)
---------------------------------------

	- Some small fixes
	+ Added Options window
	* New GUI (Improved ListBox -> ListView)


Version 0.10 (Released on December 20, 2004)
---------------------------------------

	* Original version
	i It can stop devices! :)

[EOF]
